import { PostForm, PostQuery, PostVO } from './types';

import { AxiosPromise } from 'axios';
import request from '@/utils/request';

// 查询文章分类列表
export function listPost(query: PostQuery | any): AxiosPromise {
  return request({
    url: '/cms/article/category/tree',
    method: 'post',
    data: query
  });
}

// 查询文章详细
export function getPost(postId: string | number): AxiosPromise<PostVO> {
  return request({
    url: '/cms/article/category/' + postId,
    method: 'get'
  });
}

// 获取岗位选择框列表
export function optionselect(deptId?: number | string, postIds?: (number | string)[]): AxiosPromise<PostVO[]> {
  return request({
    url: '/system/post/optionselect',
    method: 'get',
    params: {
      postIds: postIds,
      deptId: deptId
    }
  });
}

// 新增分类
export function addPost(data: PostForm) {
  return request({
    url: '/cms/article/category/add',
    method: 'post',
    data: data
  });
}

// 修改岗位
export function updatePost(data: PostForm) {
  return request({
    url: '/cms/article/update',
    method: 'post',
    data: data
  });
}

// 删除
export function delPost(postId: string | number | (string | number)[]) {
  return request({
    url: '/cms/article/category/' + postId,
    method: 'delete'
  });
}
